/**********************************************************************************
* Blueprint Reality Inc. CONFIDENTIAL
* 2020 Blueprint Reality Inc.
* All Rights Reserved.
*
* NOTICE:  All information contained herein is, and remains, the property of
* Blueprint Reality Inc. and its suppliers, if any.  The intellectual and
* technical concepts contained herein are proprietary to Blueprint Reality Inc.
* and its suppliers and may be covered by Patents, pending patents, and are
* protected by trade secret or copyright law.
*
* Dissemination of this information or reproduction of this material is strictly
* forbidden unless prior written permission is obtained from Blueprint Reality Inc.
***********************************************************************************/

#include "MixCastLightComponent.h"

#include "Components/LightComponent.h"

TArray<UMixCastLightComponent*> UMixCastLightComponent::Active = TArray<UMixCastLightComponent*>();

void UMixCastLightComponent::BeginPlay()
{
	Super::BeginPlay();

	source = GetOwner()->FindComponentByClass<ULightComponent>();
	if (source != NULL)
		Active.Add(this);
}
void UMixCastLightComponent::EndPlay(const EEndPlayReason::Type endPlayReason)
{
	if (source != NULL)
		Active.Remove(this);
	source = NULL;

	Super::EndPlay(endPlayReason);
}

